function [X Y Z] = pfs_read_xyz( fileName )
  % Read hdr image file (formats accepted by pfsin) and return X, Y,
  % and Z color channels.
  %
  % [X Y Z] = hdr_read_rgb( fileName )
  
  % Check if file exists
  fid = fopen( fileName, 'rb' );
  if( fid == -1 ) 
    error( 'pfs_read_xyz: File "%s" does not exist', fileName );
  end
  fclose( fid );

  fid = pfspopen( sprintf( '%spfsin ''%s''%s', pfs_shell(), fileName, pfs_shell( 1 ) ), 'r' );
  pin = pfsopen( fid );
  pin = pfsget( pin );
  X = pin.channels.X;
  Y = pin.channels.Y;
  Z = pin.channels.Z;
  pfsclose( pin );
  pfspclose( fid );
    
end
  